out_relay Class Reference

`#include <out_relay.h>`

Inheritance diagram for out_relay:

## Public Member Functions

| out_relay (Item *_item)
void | getConfig ()
void | relay (bool state)
int | Setup () override
| Remove?? Now getChanType used instead. More...
int | Poll (short cause) override
int | Stop () override
int | Status () override
int | getChanType () override
int | Ctrl (itemCmd cmd, char *subItem=NULL, bool toExecute=true) override
Public Member Functions inherited from abstractOut
| abstractOut (Item *_item)
virtual int | isActive ()
virtual itemCmd | getDefaultOnVal ()
virtual int | getDefaultStorageType ()
Public Member Functions inherited from abstractCh
| abstractCh ()
virtual | ~abstractCh ()
virtual int | Anounce ()

## Protected Attributes

short | pin
bool | inverted
uint32_t | period
Protected Attributes inherited from abstractOut
Item * | item

## Additional Inherited Members

Protected Member Functions inherited from abstractCh
virtual int | publishTopic (const char *topic, long value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, float value, const char *subtopic=NULL)
virtual int | publishTopic (const char *topic, const char *value, const char *subtopic=NULL)

## Constructor & Destructor Documentation

## out_relay()

out_relay::out_relay | ( | Item * | _item | ) |

inline

## Member Function Documentation

## Ctrl()

int out_relay::Ctrl | ( | itemCmd | cmd,
|  | char * | subItem = `NULL`,
|  | bool | toExecute = `true`
| ) |  |

overridevirtual

Implements abstractOut.

## getChanType()

int out_relay::getChanType | ( |  | ) |

overridevirtual

Reimplemented from abstractOut.

## getConfig()

void out_relay::getConfig | ( |  | ) |

## Poll()

int out_relay::Poll | ( | short | cause | ) |

overridevirtual

Implements abstractCh.

## relay()

void out_relay::relay | ( | bool | state | ) |

## Setup()

int out_relay::Setup | ( |  | ) |

overridevirtual

Remove?? Now getChanType used instead.

Reimplemented from abstractOut.

## Status()

int out_relay::Status | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Stop()

int out_relay::Stop | ( |  | ) |

overridevirtual

Reimplemented from abstractCh.

## Member Data Documentation

## inverted

bool out_relay::inverted

protected

## period

uint32_t out_relay::period

protected

## pin

short out_relay::pin

protected

The documentation for this class was generated from the following files:

- modules/out_relay.h
- modules/out_relay.cpp